Eclipse Platform Release 3.7

## org.eclipse.ui.views.navigator
Class RefactorActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
              org.eclipse.ui.views.navigator.RefactorActionGroup

Deprecated. as of 3.5, use the Common Navigator Framework classes instead

    public class RefactorActionGroup

extends ResourceNavigatorActionGroup

This is the action group for refactor actions, including global action handlers for copy, paste and delete.

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`navigator`

Constructor Summary
`RefactorActionGroup(IResourceNavigator navigator)` Deprecated.

Method Summary
`void` `dispose()` Deprecated. This method is called by the user of an action group to signal that the group is no longer needed.
`void` `fillActionBars(IActionBars actionBars)` Deprecated. Adds the applicable actions to a part's action bars, including setting any global action handlers.
`void` `fillContextMenu(IMenuManager menu)` Deprecated. Adds the applicable actions to a context menu, based on the state of the `ActionContext`.
`void` `handleKeyPressed(KeyEvent event)` Deprecated. Handles a key pressed event by invoking the appropriate action.
`protected void` `makeActions()` Deprecated. Makes the actions contained in this action group.
`void` `updateActionBars()` Deprecated. Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`getImageDescriptor, getNavigator, runDefaultAction`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefactorActionGroup

    public RefactorActionGroup(IResourceNavigator navigator)

  Deprecated.

Method Detail

### dispose

    public void dispose()

  Deprecated.
  Description copied from class: `ActionGroup`
  This method is called by the user of an action group to signal that the group is no longer needed. Subclasses typically implement this method to deregister any listeners or to free other resources.

  The default implementation calls `setContext(null)`. Subclasses may extend this method.

  Overrides:
    `dispose` in class `ActionGroup`

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

  Deprecated.
  Description copied from class: `ActionGroup`
  Adds the applicable actions to a context menu, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `fillContextMenu` in class `ActionGroup`
  Parameters:
    `menu` - the context menu manager

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

  Deprecated.
  Description copied from class: `ActionGroup`
  Adds the applicable actions to a part's action bars, including setting any global action handlers.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `fillActionBars` in class `ActionGroup`
  Parameters:
    `actionBars` - the part's action bars

### handleKeyPressed

    public void handleKeyPressed(KeyEvent event)

  Deprecated.
  Handles a key pressed event by invoking the appropriate action.

  Overrides:
    `handleKeyPressed` in class `ResourceNavigatorActionGroup`

### makeActions

    protected void makeActions()

  Deprecated.
  Description copied from class: `ResourceNavigatorActionGroup`
  Makes the actions contained in this action group.

  Specified by:
    `makeActions` in class `ResourceNavigatorActionGroup`

### updateActionBars

    public void updateActionBars()

  Deprecated.
  Description copied from class: `ActionGroup`
  Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `updateActionBars` in class `ActionGroup`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.